
#include <QApplication>
#include <QDeclarativeView>
#include <QDeclarativeEngine>
#include <QDeclarativeContext>

#include "systemwatcher.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QDeclarativeView view;

    QDeclarativeContext *ctxt = view.engine()->rootContext();
    SystemWatcher *sysModel = new SystemWatcher();

    ctxt->setContextObject(sysModel);
    view.setSource(QUrl("qrc:/qml/main.qml"));

    view.show();

    return app.exec();
}
